Skip to main content
Web Services

Reserve a sequence of batch nos

Reserve a sequence of batch nos.

POST
/web-services/gl/system/reserveBatchNos

This method requires the WebServices permission to be associated with your role.

Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd

Body

application/x-www-form-urlencoded
batch_nosintegerrequired

The number of batch_nos to reserve (increment the gl_controls batch_no by this amount)

Required range: 1 <= x <= 1000

Response

application/vnd.catch-e-api.v1+json

Success

bodyobject